Bug 916608 - Missing backports of sound fixes from stable kernel for 3.16.x kernels
Missing backports of sound fixes from stable kernel for 3.16.x kernels
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Sound
13.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-06 16:17 UTC by Takashi Iwai
Modified: 2017-08-04 16:48 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takashi Iwai 2015-02-06 16:17:35 UTC
Lots of commits are missing in openSUSE 13.2 kernels since the 3.16.x stable update was discontinued.
Comment 1 Takashi Iwai 2015-02-06 17:29:32 UTC
The following commits can be backported safely, at least.

For HD-audio:
6d16941aee6eb468c5a5cc78ecbaf840f3e16df5
f31b2ffcad2b8c57cee5ffc634928bcbc8c6a558
d1585c89cecdb513f68045e47ab76976524b5961
c8b00fd2f4c504a564adcad5b8bd6952ab850b02
b4565913460cbd7d86c6bd52913dfaa07fa384aa
b734304f15ebe2a1e89fb9422541fbecf50b7cd9
fedb2245cbb8d823e449ebdd48ba9bb35c071ce0
f62f5eff3d40a56ad1cf0d81a6cac8dd8743e8a1
8b72415d8aa8bb1904c61926bd0701447ce44bee
4344aec84bd84b58a01347f0db7693f73fb6473d
506b62c33a7444b91a93bf2da772f4c7e6656410
c507de88f6a336bd7296c9ec0073b2d4af8b4f5e
60834b73a9c2bbc2f514122ddc626f3350fb40cd

For USB:
6455931186bff407493135e74c5f32efd30860e2
d70a1b9893f820fdbcdffac408c909c50f2e6b43
0725dda207e95ff25f1aa01432250323e0ec49d6
1a290581ded60e87276741f8ca97b161d2b226fc

For misc:
317168d0c766defd14b3d0e9c2c4a9a258b803ee
d1d0b6b668818571122d30d68a0b3f768bd83a52
0767e95bb96d7fdddcd590fb809e6975d93aebc5
Comment 2 Takashi Iwai 2015-02-09 16:30:50 UTC
Now all merged.
Comment 3 Swamp Workflow Management 2015-04-13 12:15:10 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2